summaryrefslogtreecommitdiffstats
path: root/bin/d-i_build.sh
diff options
context:
space:
mode:
authorHolger Levsen <holger@layer-acht.org>2013-08-29 01:11:45 +0200
committerHolger Levsen <holger@layer-acht.org>2013-08-29 01:11:45 +0200
commit197b1158e79b7a466692e30923ed777dc2f2e05c (patch)
treed31640ef8454dd7bff47f60761ddb19dc2695225 /bin/d-i_build.sh
parent81fb828497ed12537ad143518e112137729a5c5b (diff)
downloadjenkins.debian.net-197b1158e79b7a466692e30923ed777dc2f2e05c.tar.xz
<h01ger> i believe the quotes are the prob
Diffstat (limited to 'bin/d-i_build.sh')
-rwxr-xr-xbin/d-i_build.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/bin/d-i_build.sh b/bin/d-i_build.sh
index 0bca99ac..6221e158 100755
--- a/bin/d-i_build.sh
+++ b/bin/d-i_build.sh
@@ -49,7 +49,7 @@ pdebuild_package() {
if [ ! -f /var/cache/pbuilder/base.tgz ] ; then
sudo pbuilder --create
else
- sudo pbuilder --update
+ sudo pbuilder --update || ( sudo rm /var/cache/pbuilder/base.tgz ; sudo pbuilder --create )
fi
#
# 3.0 quilt is not happy without an upstream tarball